| Home · All Classes · All Namespaces · Modules · Functions · Files

Classes | Public Types | Signals | Public Member Functions | List of all members
Tp::ReadinessHelper Class Reference
Utililty classes

The ReadinessHelper class is a helper class used by the introspection process. More...

`#include <TelepathyQt/ReadinessHelper>`

Inheritance diagram for Tp::ReadinessHelper:
[legend]

## Classes

class | Introspectable
| The ReadinessHelper::Introspectable class represents a introspectable used by ReadinessHelper. More...

## Public Types

typedef void(* | IntrospectFunc) (void *data)
typedef QMap< Feature, Introspectable > | Introspectables

## Signals

void | statusReady (uint status)

## Public Member Functions

| ReadinessHelper (RefCounted *object, uint currentStatus=0, const Introspectables &introspectables=Introspectables(), QObject *parent=0)
| ReadinessHelper (DBusProxy *proxy, uint currentStatus=0, const Introspectables &introspectables=Introspectables(), QObject *parent=0)
| ~ReadinessHelper ()
void | addIntrospectables (const Introspectables &introspectables)
uint | currentStatus () const
void | setCurrentStatus (uint currentStatus)
void | forceCurrentStatus (uint currentStatus)
QStringList | interfaces () const
void | setInterfaces (const QStringList &interfaces)
Features | requestedFeatures () const
Features | actualFeatures () const
Features | missingFeatures () const
bool | isReady (const Feature &feature, QString *errorName=0, QString *errorMessage=0) const
bool | isReady (const Features &features, QString *errorName=0, QString *errorMessage=0) const
PendingReady * | becomeReady (const Features &requestedFeatures)
void | setIntrospectCompleted (const Feature &feature, bool success, const QString &errorName=QString(), const QString &errorMessage=QString())
void | setIntrospectCompleted (const Feature &feature, bool success, const QDBusError &error)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The ReadinessHelper class is a helper class used by the introspection process.

## Member Typedef Documentation

## § IntrospectFunc

typedef void(* Tp::ReadinessHelper::IntrospectFunc) (void *data)

## § Introspectables

typedef QMap<Feature, Introspectable> Tp::ReadinessHelper::Introspectables

## Constructor & Destructor Documentation

## § ReadinessHelper() [1/2]

Tp::ReadinessHelper::ReadinessHelper | ( | RefCounted * | object,
|  | uint | currentStatus = `0`,
|  | const Introspectables & | introspectables = `Introspectables()`,
|  | QObject * | parent = `0`
| ) |  |

## § ReadinessHelper() [2/2]

Tp::ReadinessHelper::ReadinessHelper | ( | DBusProxy * | proxy,
|  | uint | currentStatus = `0`,
|  | const Introspectables & | introspectables = `Introspectables()`,
|  | QObject * | parent = `0`
| ) |  |

## § ~ReadinessHelper()

Tp::ReadinessHelper::~ReadinessHelper | ( |  | ) |

## Member Function Documentation

## § addIntrospectables()

void Tp::ReadinessHelper::addIntrospectables | ( | const Introspectables & | introspectables | ) |

## § currentStatus()

uint Tp::ReadinessHelper::currentStatus | ( |  | ) | const

## § setCurrentStatus()

void Tp::ReadinessHelper::setCurrentStatus | ( | uint | currentStatus | ) |

## § forceCurrentStatus()

void Tp::ReadinessHelper::forceCurrentStatus | ( | uint | currentStatus | ) |

Force the current internal status to currentStatus.

Note that this method will not start a new introspection or restart the current one in case one is running.

This is useful for example when the status is unknown initially but it will become known in the first introspection run and there is no need to re-run the introspection.

Parameters

  currentStatus | The status to set.

## § interfaces()

QStringList Tp::ReadinessHelper::interfaces | ( |  | ) | const

## § setInterfaces()

void Tp::ReadinessHelper::setInterfaces | ( | const QStringList & | interfaces | ) |

## § requestedFeatures()

Features Tp::ReadinessHelper::requestedFeatures | ( |  | ) | const

## § actualFeatures()

Features Tp::ReadinessHelper::actualFeatures | ( |  | ) | const

## § missingFeatures()

Features Tp::ReadinessHelper::missingFeatures | ( |  | ) | const

## § isReady() [1/2]

bool Tp::ReadinessHelper::isReady | ( | const Feature & | feature,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0`
| ) |  | const

## § isReady() [2/2]

bool Tp::ReadinessHelper::isReady | ( | const Features & | features,
|  | QString * | errorName = `0`,
|  | QString * | errorMessage = `0`
| ) |  | const

## § becomeReady()

PendingReady * Tp::ReadinessHelper::becomeReady | ( | const Features & | requestedFeatures | ) |

## § setIntrospectCompleted() [1/2]

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QString & | errorName = `QString()`,
|  | const QString & | errorMessage = `QString()`
| ) |  |

## § setIntrospectCompleted() [2/2]

void Tp::ReadinessHelper::setIntrospectCompleted | ( | const Feature & | feature,
|  | bool | success,
|  | const QDBusError & | error
| ) |  |

## § statusReady

void Tp::ReadinessHelper::statusReady | ( | uint | status | ) |

signal